let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/7ygifkrn7sbirhi53rh1bpq9cym6mjy9-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/x0k2lh9vka5yh1fn4nzz4fgxa7nbvxbj-coreutils-8.31/bin";
  bzip2 = "/nix/store/gw9ncm1svnpczpqwh3d2v2bs5sd1xdb4-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/4nr466f5791rhpx5mafrdxnr3m7v8x45-gzip-1.10/bin/gzip";
  xz = "/nix/store/ni0nw5lk0mnii5f3rvdgkbwbhvz5k0lb-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/w7ad8wr2iqy878wbn133396dyflm8fwj-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/x0k2lh9vka5yh1fn4nzz4fgxa7nbvxbj-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/aizhr07dljmlbf17wfrj40x3s0b5iv3d-nix-2.3.4/bin";
  nixPrefix = "/nix/store/aizhr07dljmlbf17wfrj40x3s0b5iv3d-nix-2.3.4";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/aizhr07dljmlbf17wfrj40x3s0b5iv3d-nix-2.3.4/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
